Subject: Re: sig_send(): wait for sig_complete event failed...
From: [email-masked] (Victor Ott)

26 Nov 1998 16:56:13 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Eric Barton wrote:
> 
> I've just installed B20 (under NT4.0 SP3 on a Pentium PRO) and I get the
> following problem with executing a shell script from cmd.exe...
> 
> d:\>: bash /bin/which which
> [proc] c:\bin\sh.exe 1006 (0) sig_send: wait for sig_complete event failed, sig
> 20, rc -1, error 6
> [proc] c:\bin\sh.exe 1009 (0) sig_send: wait for sig_complete event failed, sig
> 20, rc -1, error 6
> [proc] c:\bin\sh.exe 1012 (0) sig_send: wait for sig_complete event failed, sig
> 20, rc -1, error 6
> [proc] c:\bin\sh.exe 1015 (0) sig_send: wait for sig_complete event failed, sig
> 20, rc -1, error 6
> /bin/which
[...]

B20, NT4SP3
I'm getting a similar error (see below) when CYGWIN contains 'tty' and
bash ist started from desktop or cmd. The offending code is in my /.bashrc
and it's the `` evaluation.

    cygnuspath="/cygwin-b20/H-i586-cygwin32/bin"
    PATH=.:$cygnuspath:`echo $PATH | sed -e
"s@/cygwin-b20/H-i586-cygwin32/bin@@g"`

Whitout 'tty' ("  notty notitle glob ntea") the error appeared only once
(some hours ago :) in a makefile:

        {       compile -g -i$(INCDIR) setup.rul; \
                echo $$? > $$TMP/make.$$$$; \
        } | grep -v "W7503"; \
        ret_val=`cat $$TMP/make.$$$$`; rm $$TMP/make.$$$$; \
        [ "$$ret_val" = "0" ]

## error ###################
C:\work\is\installs\master>set CYGWIN=  tty
C:\work\is\installs\master>bash
[proc] C:\cygwin-b20\H-i586-cygwin32\bin\bash.exe 1020 (0) sig_send: wait
for sig_complete event failed, sig 20, rc -1, error 6
############################

Thanks in advance for any help,
Victor
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".